# eric3.Debugger.WatchPointViewer

Module implementing the Watchpoint viewer widget.

### Classes

WatchPointViewer | Class implementing the Watchpoint viewer widget.

### Functions

None

## WatchPointViewer

Class implementing the Watchpoint viewer widget. Watchpoints will be shown with all their details. They can be modified through the context menu of this widget.

### Derived from

QListView

### Methods

WatchPointViewer | Constructor
addWatch | Private slot to handle the add watchpoint context menu entry.
clearWatchpoint | Public slot to clear a watchpoint.
createPopupMenus | Private method to generate the popup menus.
deleteAllWatches | Private slot to handle the delete all watchpoints context menu entry.
deleteSelectedWatches | Private slot to handle the delete selected watchpoints context menu entry.
deleteWatch | Private slot to handle the delete watchpoint context menu entry.
disableAllWatches | Private slot to handle the disable all watchpoints context menu entry.
disableSelectedWatches | Private slot to handle the disable selected watchpoints context menu entry.
disableWatch | Private slot to handle the disable watchpoint context menu entry.
editWatch | Private slot to handle the edit watchpoint context menu entry.
editWatchpoint | Private slot to edit a watchpoint.
enableAllWatches | Private slot to handle the enable all watchpoints context menu entry.
enableSelectedWatches | Private slot to handle the enable selected watchpoints context menu entry.
enableWatch | Private slot to handle the enable watchpoint context menu entry.
extractData | Private method to extract the data of a watchpoint item.
findDuplicates | Private method to check, if an entry already exists.
getSelectedItems | Public method to get the selected items.
getSelectedItemsCount | Public method to get the count of items selcted.
getWatchpoints | Public mathod to retrieve all watchpoints
getWatchpointsProperties | Public method to retrieve the properties of all watchpoints
handleContextMenu | Private slot to show the context menu of the listview.
handleDoubleClicked | Private slot to handle the double clicked signal.
handleShowBackMenu | Private slot to handle the aboutToShow signal of the background menu.
makeCondition | Private method to construct the condition string.
setWatchpoint | Public method to set a watchpoint with its properties.

### WatchPointViewer (Constructor)

WatchPointViewer(dbs, parent = None)

Constructor

reference
  to the debug server object
parent
  the parent (QWidget)

### WatchPointViewer.addWatch

addWatch()

Private slot to handle the add watchpoint context menu entry.

### WatchPointViewer.clearWatchpoint

clearWatchpoint(cond)

Public slot to clear a watchpoint.

cond
  condition of the watchpoint (string or QString)

### WatchPointViewer.createPopupMenus

createPopupMenus()

Private method to generate the popup menus.

### WatchPointViewer.deleteAllWatches

deleteAllWatches()

Private slot to handle the delete all watchpoints context menu entry.

### WatchPointViewer.deleteSelectedWatches

deleteSelectedWatches()

Private slot to handle the delete selected watchpoints context menu entry.

### WatchPointViewer.deleteWatch

deleteWatch()

Private slot to handle the delete watchpoint context menu entry.

### WatchPointViewer.disableAllWatches

disableAllWatches()

Private slot to handle the disable all watchpoints context menu entry.

### WatchPointViewer.disableSelectedWatches

disableSelectedWatches()

Private slot to handle the disable selected watchpoints context menu entry.

### WatchPointViewer.disableWatch

disableWatch()

Private slot to handle the disable watchpoint context menu entry.

### WatchPointViewer.editWatch

editWatch()

Private slot to handle the edit watchpoint context menu entry.

### WatchPointViewer.editWatchpoint

editWatchpoint(itm)

Private slot to edit a watchpoint.

itm
  watchpoint to be edited (QListViewItem)

### WatchPointViewer.enableAllWatches

enableAllWatches()

Private slot to handle the enable all watchpoints context menu entry.

### WatchPointViewer.enableSelectedWatches

enableSelectedWatches()

Private slot to handle the enable selected watchpoints context menu entry.

### WatchPointViewer.enableWatch

enableWatch()

Private slot to handle the enable watchpoint context menu entry.

### WatchPointViewer.extractData

extractData(itm)

Private method to extract the data of a watchpoint item.

itm
  the watchpoint item (QListViewItem)

Returns:
  tuple with condition, temp, enabled, ignoreCount (QString, boolean, boolean, integer)

### WatchPointViewer.findDuplicates

findDuplicates(cond, special, showMessage=0)

Private method to check, if an entry already exists.

cond
  condition to check (QString)
special
  special condition to check (QString)
showMessage
  flag indicating a message should be shown, if a duplicate entry is found (boolean)

Returns:
  flag indicating a duplicate entry (boolean)

### WatchPointViewer.getSelectedItems

getSelectedItems()

Public method to get the selected items.

Returns:
  list of selected items (list of QListViewItem)

### WatchPointViewer.getSelectedItemsCount

getSelectedItemsCount()

Public method to get the count of items selcted.

Returns:
  count of items selected (integer)

### WatchPointViewer.getWatchpoints

getWatchpoints()

Public mathod to retrieve all watchpoints

Returns:
  list of tuples with condition, temp, enabled, ignoreCount (QString, boolean, boolean, integer)

### WatchPointViewer.getWatchpointsProperties

getWatchpointsProperties()

Public method to retrieve the properties of all watchpoints

Returns:
  list of tuples with condition, temp, enabled, ignoreCount, special (QString, boolean, boolean, integer, QString)

### WatchPointViewer.handleContextMenu

handleContextMenu(itm, coord, col)

Private slot to show the context menu of the listview.

itm
  the selected listview item (QListViewItem)
coord
  the position of the mouse pointer (QPoint)
col
  the column of the mouse pointer (int)

### WatchPointViewer.handleDoubleClicked

handleDoubleClicked(itm, coord, col)

Private slot to handle the double clicked signal.

itm
  the selected listview item (QListViewItem)
coord
  the position of the mouse pointer (QPoint)
col
  the column of the mouse pointer (int)

### WatchPointViewer.handleShowBackMenu

handleShowBackMenu()

Private slot to handle the aboutToShow signal of the background menu.

### WatchPointViewer.makeCondition

makeCondition(cond, special)

Private method to construct the condition string.

cond
  condition (QString)
special
  special condition (QString)

Returns:
  condition string (QString)

### WatchPointViewer.setWatchpoint

setWatchpoint(properties)

Public method to set a watchpoint with its properties.

properties
  tuple of condition, temp, enabled, ignoreCount, special (QString or string, boolean, boolean, integer, QString or string)

Up